<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/bg_grey"
        android:paddingTop="10dp"
        app:menu="@menu/bottom_nav_menu">

        <ImageView
            android:id="@+id/searchBtn"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:src="@drawable/ic_search_filled" />

    </androidx.appcompat.widget.Toolbar>

    <RelativeLayout
        android:id="@+id/topLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/bg_grey"
        android:layout_below="@id/toolbar">

        <TextView
            android:id="@+id/browseHeading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="30dp"
            android:layout_marginBottom="10dp"
            android:letterSpacing="0.08"
            android:text="@string/browse"
            android:textColor="@android:color/black"
            android:textSize="30sp" />


    </RelativeLayout>

    <ScrollView
        android:layout_below="@id/topLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:overScrollMode="never">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tabLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:background="@color/bg_grey"
                app:tabIndicatorColor="@color/item_selected_bottom_nav2"
                app:tabIndicatorFullWidth="false"
                app:tabIndicatorHeight="2dp"
                app:tabMode="fixed"
                app:tabRippleColor="@android:color/transparent"
                app:tabSelectedTextColor="@android:color/black"
                app:tabTextColor="@android:color/darker_gray">


            </com.google.android.material.tabs.TabLayout>

            <FrameLayout
                android:id="@+id/fragmentHolder"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@id/playlistHeading"
                android:layout_below="@+id/tabLayout" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/playlistRecycler"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginTop="10dp"
                android:nestedScrollingEnabled="false" />

            <TextView
                android:id="@+id/playlistHeading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_above="@id/playlistRecycler"
                android:layout_marginHorizontal="15dp"
                android:letterSpacing="0.08"
                android:text="@string/playlists"
                android:textAllCaps="true"
                android:textColor="@android:color/black"
                android:textSize="20sp" />

        </RelativeLayout>


    </ScrollView>
</RelativeLayout>

